#
# spec file for package csp-billing-adapter-local
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global skip_python2 1
%define pythons python3
Name:           csp-billing-adapter-local
Version:        0.5.1
Release:        150400.9.14.1
Summary:        Billing adapter plugin for VM offers
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/SUSE-Enceladus/%{name}
Source:         https://files.pythonhosted.org/packages/source/c/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module pluggy}
BuildRequires:  %{python_module csp-billing-adapter >= 0.5.0}
%if %{with test}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module pytest-cov}
%endif
Requires:       python-setuptools
Requires:       python-pluggy
Requires:       python-csp-billing-adapter >= 0.5.0
BuildArch:      noarch
%python_subpackages

%description
Provides a plugin for csp-billing-adapter to handle
storage of data using local resources.

%prep
%autosetup -n %{name}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%if %{with test}
%pytest
%endif

%files %{python_files}
%license LICENSE
%doc README.md CONTRIBUTING.md
%{python_sitelib}/csp_billing_adapter_local
%{python_sitelib}/csp_billing_adapter_local-%{version}*-info

%changelog
* Thu Apr 11 2024 sean.marlow@suse.com
- Update to version 0.5.1:
  * Cast file path to a string for usage
* Fri Jan 19 2024 sean.marlow@suse.com
- Update to version 0.5.0:
  * Attempt to backup archive before saving
  * Add get_archive_location function
  * Add metering archive hook implementations
* Tue Oct 17 2023 sean.marlow@suse.com
- Update to version 0.4.1:
  * Edit the build requirement for core adapter module
* Mon Oct 16 2023 sean.marlow@suse.com
- Update to version 0.4.0:
  * Drop logs for cache and csp-config functions
* Thu Sep 21 2023 sean.marlow@suse.com
- Update to version 0.3.0:
  * Add get version hook implementation
* Mon Sep 18 2023 jesus.bv@suse.com
- Update to version 0.2.1
  * Add timestamp with the same format as core adapter
- Update to version 0.2.0
  * Use the same formatter for log file as core adapter
- Update to version 0.1.1
  * Add reporting time to usage data
  * Refactor tests
* Fri Aug 18 2023 rjschwei@suse.com
- Update to 0.1.0
  + Logging changes
  + Access application reporting API
  + Cast data to internal reporting format
* Mon Jul 10 2023 rjschwei@suse.com
- Initial build
  + Version 0.0.1
